Name: cpan2rpm
Version: 2.027
Release: alt0.3

Summary: cpan2rpm - A Perl module packager

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPL
Group: Development/Other
Url: http://perl.arix.com/cpan2rpm/

BuildArch: noarch
Source: %name-%version.tar.bz2
Patch: %name-%version-alt.patch

# Automatically added by buildreq on Sun Feb 27 2005
BuildRequires: perl-Compress-Zlib perl-URI perl-devel perl-libwww

%description
This script generates an RPM package from a Perl module.  It uses the
standard RPM file structure and creates a spec file, a source RPM,
and a binary, leaving these in their respective directories.

The script can operate on local files, directories, urls and CPAN
module names.  Install this package if you want to create RPMs out of
Perl modules.

The syntax for cpan2rpm supports multiple *distribution* names, which
can take one of four different forms:

1. a CPAN module name (e.g. XML::Simple) - When a module name is passed,
   the script will "walk" search.cpan.org to determine the latest distribution.
   If an exact match is not found, the CPAN module is used to make
   this determination.  If you have not yet configured this module,
   please refer to the REQUIREMENTS section below for further instructions.

2. a URL (both http:// and ftp:// style locators will work) - 
   In this and the above case, an automatic download of the needed tarball
   is performed (see notes for how).  The tarball is deposited in the SOURCES
   directory.

3. a path to a tarball (e.g. /tmp/XML-Simple-1.05.tar.gz) - 
   In this case, the tarball indicated gets copied to the SOURCES directory.

4. a directory path - The directory specified must contain a Makefile.PL.
   If the user intends to build a package from a directory
   (i.e. user does NOT specify --spec-only), the commands:

    perl Makefile.PL
    make
    make dist

will be performed in that directory in order to create the tarball
necessary for package creation.

%prep
%setup -q
%patch -p0 -b .orig

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%_bindir/*
%_man1dir/*
%doc README Changes

%changelog
* Mon Jun 06 2005 Vitaly Lipatov <lav@altlinux.ru> 2.027-alt0.3
- add more compatibility (patch updated)

* Mon Jun 06 2005 Vitaly Lipatov <lav@altlinux.ru> 2.027-alt0.2
- add patch for ALT Perl policy compatible spec generating

* Sun Feb 27 2005 Vitaly Lipatov <lav@altlinux.ru> 2.027-alt0.1
- first build for ALT Linux Sisyphus (not supports ALT spec yet)

